package cn.iocoder.yudao.module.asset.convert.inspection;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.asset.controller.admin.inspection.vo.*;
import cn.iocoder.yudao.module.asset.dal.dataobject.inspection.*;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 验车模板/记录 Convert
 *
 * @author 芋道源码
 */
@Mapper
public interface InspectionConvert {

    InspectionConvert INSTANCE = Mappers.getMapper(InspectionConvert.class);

    InspectionTemplateDO convert(InspectionTemplateSaveReqVO bean);

    InspectionTemplateRespVO convert(InspectionTemplateDO bean);

    PageResult<InspectionTemplateRespVO> convertPage(PageResult<InspectionTemplateDO> page);

    List<InspectionTemplateItemDO> convertItemList(List<InspectionTemplateItemVO> list);

    InspectionTemplateItemDO convertItem(InspectionTemplateItemVO bean);

    List<InspectionTemplateItemVO> convertItemVOList(List<InspectionTemplateItemDO> list);

    InspectionTemplateItemVO convertItemVO(InspectionTemplateItemDO bean);

    InspectionRecordDetailVO convertRecordDetail(InspectionRecordDO bean);

    List<InspectionRecordDetailVO.InspectionRecordItemVO> convertRecordItemVOList(List<InspectionRecordItemDO> list);

    InspectionRecordDetailVO.InspectionRecordItemVO convertRecordItemVO(InspectionRecordItemDO bean);

}
